'use strict';

var chunkQINYOTRU_js = require('./chunk-QINYOTRU.js');
var chunkH736K5TN_js = require('./chunk-H736K5TN.js');
var nestjsRabbitmq = require('@golevelup/nestjs-rabbitmq');
var log$1 = require('@lsk4/log');
var common = require('@nestjs/common');

var log = log$1.createLogger({
  ns: "rmq:rpc"
});
function RmqRPC(props) {
  const { channel } = props?.queueOptions || {};
  const channelConfig = chunkQINYOTRU_js.getRmqConfig(`channels.${channel}`);
  const prefetchCount = props?.prefetchCount || channelConfig?.prefetchCount || void 0;
  const decorators = [];
  const message = `${channel}=${prefetchCount} ${props.routingKey || ""}`;
  if (prefetchCount) {
    log.debug(message);
    decorators.push(nestjsRabbitmq.RabbitRPC(props));
  } else {
    log.trace(message);
  }
  return common.applyDecorators(...decorators);
}
chunkH736K5TN_js.__name(RmqRPC, "RmqRPC");

exports.RmqRPC = RmqRPC;
//# sourceMappingURL=out.js.map
//# sourceMappingURL=chunk-ZGDCU7LA.js.map