import { log } from './chunk-LKG3VLCP.js';
import { getRmqConfig } from './chunk-QEE7GVZV.js';
import { __name } from './chunk-H736K5TN.js';
import { RabbitRPC } from '@golevelup/nestjs-rabbitmq';
import { applyDecorators } from '@nestjs/common';

function RmqRPC(props) {
  const { channel } = props?.queueOptions || {};
  const channelConfig = getRmqConfig(`channels.${channel}`);
  const prefetchCount = props?.prefetchCount || channelConfig?.prefetchCount || void 0;
  const decorators = [];
  const message = `RmqRPC ${channel}=${prefetchCount} ${props.routingKey || ""}`;
  if (prefetchCount) {
    log.debug(message);
    decorators.push(RabbitRPC(props));
  } else {
    log.trace(message);
  }
  return applyDecorators(...decorators);
}
__name(RmqRPC, "RmqRPC");

export { RmqRPC };
//# sourceMappingURL=out.js.map
//# sourceMappingURL=chunk-BBO4SRJS.js.map